## FmSimpleJob FmSimpleJob — Job to run a function asynchronously. |

## Functions

gboolean | (*FmSimpleJobFunc) ()
FmJob * | fm_simple_job_new ()

## Description

`include` : libfm/fm.h

The FmJob can be used to create asynchronous job which just run some simple function with provided data.

## Functions

### FmSimpleJobFunc ()

    gboolean
    (*FmSimpleJobFunc) (FmJob *job,
                        gpointer user_data);

The user function which will be ran asynchronously by FmJob API.

#### Parameters

job | the job object |
user_data | user data provided on `fm_simple_job_new()` call |

#### Returns

value to return from `fm_job_run_sync()`.

### fm_simple_job_new ()

    FmJob *
    fm_simple_job_new (FmSimpleJobFunc func,
                       gpointer user_data,
                       GDestroyNotify destroy_data);

Creates a new simple FmJob for user task.

#### Parameters

func | user function to run asynchronously |
user_data | user data provided for `func` |
destroy_data | user function to free data after job finished |

#### Returns

a new FmJob object.

[transfer full]

Since: 0.1.0

## Types and Values